DSA_generate_key(3) | OpenSSL | DSA_generate_key(3)

# NAME

DSA_generate_key - generate DSA key pair

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/dsa.h>
     int DSA_generate_key(DSA *a);

# DESCRIPTION

DSA_generate_key() expects a to contain DSA parameters. It generates a new key pair and stores it in a->pub_key and a->priv_key.
The PRNG must be seeded prior to calling DSA_generate_key().

# RETURN VALUE

DSA_generate_key() returns 1 on success, 0 otherwise. The error codes can be obtained by ERR_get_error(3).

# SEE ALSO

openssl_dsa(3), ERR_get_error(3), openssl_rand(3), DSA_generate_parameters(3)

# HISTORY

DSA_generate_key() is available since SSLeay 0.8.

2009-07-19 | 1.0.2k